@use "@/styles" as *;

.khngThB1 {
  align-self: stretch;
  position: relative;
  letter-spacing: 0.02em;
  line-height: 140%;
}
.rnLuyn1 {
  position: relative;
  letter-spacing: -0.02em;
  line-height: 100%;
}
.frameChild {
  position: relative;
  background-color: #143080;
  width: 80px;
  height: 4px;
  transform: rotate(-4deg);
  transform-origin: 0 0;
}
.rectangleWrapper {
  display: flex;
  flex-direction: column;
  padding: 4px 0px 10px;
  align-items: flex-start;
  justify-content: flex-start;
}
.rnLuynParent {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: center;
  gap: 8px;
  font-size: 48px;
  color: #143080;
  font-family: Niramit;
}
.sectionHeading {
  width: 1224px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}
.imageIcon {
  position: relative;
  border-radius: 8px;
  width: 807px;
  height: 537px;
  object-fit: cover;
}
.title {
  position: relative;
  font-size: 32px;
  line-height: 120%;
  font-weight: 600;
  color: #1d1d1d;
  display: flex;
  align-items: center;
  width: 807px;
}
.tnhYuL1 {
  align-self: stretch;
  position: relative;
  letter-spacing: 0.05em;
  line-height: 150%;
  display: -webkit-inline-box;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}
.biJasonLa5 {
  align-self: stretch;
  position: relative;
  letter-spacing: 0.05em;
  line-height: 150%;
}
.titleParent {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 8px;
}
.cardForHover {
  width: 807px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 16px;
}
.image91Icon {
  position: relative;
  border-radius: 4px;
  width: 120px;
  height: 120px;
  object-fit: cover;
}
.biJasonLa6 {
  align-self: stretch;
  position: relative;
  font-size: 12px;
  letter-spacing: 0.05em;
  line-height: 140%;
  color: #4d4c4b;
}
.content {
  align-self: stretch;
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 6px;
}
.card {
  align-self: stretch;
  border-bottom: 1px solid #ebebeb;
  display: flex;
  flex-direction: row;
  padding: 0px 0px 24px;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 16px;
}
.ngTcPlank {
  margin: 0;
}
.tKSContainer {
  align-self: stretch;
  position: relative;
  line-height: 120%;
  font-weight: 600;
}
.card3 {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 16px;
}
.iconLeft2 {
  align-self: stretch;
  flex: 1;
  position: relative;
  border-radius: 12px;
  max-width: 100%;
  overflow: hidden;
  max-height: 100%;
}
.iconLeft1 {
  border-radius: 24px;
  background-color: #143080;
  width: 20px;
  height: 20px;
  display: flex;
  flex-direction: row;
  padding: 2px;
  box-sizing: border-box;
  align-items: flex-start;
  justify-content: flex-start;
}
.button {
  position: relative;
  letter-spacing: 0.05em;
  line-height: 140%;
  font-weight: 600;
}
.ghost {
  align-self: stretch;
  border-radius: 4px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 6px;
  font-size: 14px;
  color: #1d1d1d;
}
.cardParent {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 24px;
  font-size: 18px;
  color: #242222;
}
.cardForHoverParent {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 24px;
  font-size: 14px;
}
.ghostMobile {
  display: none;
}
.categoryLatestPosts {
  position: relative;
  width: 100%;
  overflow-x: auto;
  display: flex;
  flex-direction: column;
  padding: 0px 71px;
  box-sizing: border-box;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 48px;
  text-align: left;
  font-size: 20px;
  color: #4d4c4b;
  font-family: "Inter Tight";
  margin-top: 80px;
}

@include mobile {
  .sectionHeading,
  .cardForHover,
  .titleParent,
  .cardParent,
  .title {
    width: 100%;
  }
  .card {
    border-bottom: 0;
    border-right: 1px solid #ebebeb;
    padding-right: 16px;
  }
  .imageIcon {
    width: 100%;
    height: auto;
  }
  .cardParent {
    @include no-scroll-bar;

    flex-direction: row;
    overflow-x: scroll;
  }
  .khngThB1 {
    font-size: 16px;
  }
  .rnLuyn1 {
    font-size: 32px;
  }
  .title {
    font-size: 20px;
  }
  .biJasonLa5 {
    font-size: 12px;
  }
  .frameChild {
    width: 56px;
    height: 3px;
  }
  .cardForHoverParent {
    flex-direction: column;
  }
  .ghost {
    display: none;
  }
  .ghostMobile {
    align-self: stretch;
    border-radius: 4px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 6px;
    font-size: 14px;
    color: #1d1d1d;
  }
  .content {
    min-width: 283px;
  }
  .image91Icon {
    width: 80px;
    height: 80px;
  }
  .categoryLatestPosts {
    position: unset;
    margin-top: 60px;
    padding: 0px 16px;
    gap: 24px;
  }
}
